package projectzombie.model;

import gl_engine.matrix.Matrix4;
import gl_engine.texture.TextureRef3D;

public class ModelEmpty extends Model
{
	@Override
	public TextureRef3D[] getTextures() {
		return new TextureRef3D[0];
	}
	
	@Override
	public float[] getVerticies() {
		return new float[0];
	}
	
	@Override
	public void bind() {}
	
	@Override
	public int getSize() {
		return 0;
	}
	
	@Override
	public int getIndexSize() {
		return 0;
	}
	
	@Override
	public int[] getIndicies() {
		return new int[0];
	}
	
	@Override
	public void setModel(Matrix4 model) {
	}
	
	@Override
	public void render() {}
	
	@Override
	public double getHeight() {
		return 1;
	}

	@Override
	public double getWidth() {
		return 1;
	}
}
